> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get form details

GET https://demo.rooms.docusign.com/restapi/v2/accounts/{accountId}/forms/{formId}/details

Returns details about a specific form, such as the date it was created and last updated, the number of pages, the form owner, and other information.

Reference: https://developers.docusign.com/docs/rooms-api/reference/forms/formdetails/getformdetails

## Authentication

- `Authorization` header (required) — JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer \{token}"

## Servers

- `https://demo.rooms.docusign.com/restapi` (Demo, default)
- `https://rooms.docusign.com/restapi` (Production)

## Request

### Path parameters

- `formId` (string, required) — The ID of the form.
- `accountId` (string, required) — The globally unique identifier (GUID) for the account.

## Response

### 200

Form based on FormId

- `formId` (string, optional) — The ID of the form. Example: `5be324eb-xxxx-xxxx-xxxx-208065181be9`
- `name` (string, optional) — The name of the form. Example: `MORe Private Network Addendum`
- `createdDate` (datetime, optional) — The UTC date and time when the item was created. This is a read-only value that the service assigns. Example: `2019-07-17T17:45:42.783Z`
- `lastUpdatedDate` (datetime, optional) — The UTC date and time when the item was last updated. This is a read-only value that the service assigns. Example: 2019-07-17T17:45:42.783Z
- `availableOnDate` (datetime, optional) — The UTC DateTime when the form was made available or published. (It is possible for a form to be published but not yet available.)
- `ownerName` (string, optional) — The name of the organization that owns the form. Example: `Mainstreet organization of Realtors`
- `version` (string, optional) — The version of the form. Example: `1`
- `numberOfPages` (integer, optional) — The number of pages in the form. Example: `2`

## Errors

### 400 Bad Request Error

Unable to Find Form based on FormId

- `any`

### 401 Unauthorized Error

Not authorized to make this request.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.
- `referenceId` (string, optional)

## Examples

**Response**

```json
{
  "formId": "string",
  "name": "string",
  "createdDate": "2024-01-15T09:30:00Z",
  "lastUpdatedDate": "2024-01-15T09:30:00Z",
  "availableOnDate": "2024-01-15T09:30:00Z",
  "ownerName": "string",
  "version": "string",
  "numberOfPages": 1
}
```